class ActionSetTrailColor < Action # colt

  # nastaví proměnné podle catid (kde jsou zakódovány) + dělá sanity chcecky
  def setvars
    _,trail_id,@barva,@typ = catid.split('|') # dekóduj parametry
    @trail = Trail.find(trail_id)
    raise "Trail mel bejt existovat dle trails_id #{trail_id}" if @trail.nil?
    @short_action_name = "Nastavit barvu trail"    
    @attrs = {
      action: linkify("Definovat rt:#{@trail.kctref} jako #{@barva}/#{@typ}"),
      followup_url: trail_path(@trail)
    }
  end

  def perform
    res = @trail.update(
      barva: @barva,
      typ: @typ
    ) 
    return res != false
  end
end